Zespół
GET https://0o0.online/api/teams/
curl --request GET \
--url 'https://0o0.online/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| search | Opcjonalne Źródło | Strumień wyszukiwania . |
| search_by | Opcjonalne Źródło | Jakie pola szukasz? wartości dozwolone to: name. |
| datetime_field | Opcjonalne Źródło | Pozwolone wartości: datetime, last_datetime |
| datetime_start | Opcjonalne Źródło | Filtrowanie wyników rozpoczynających się od tej daty. Y-m-d H:i:s w formacie . |
| datetime_end | Opcjonalne Źródło | Filtruje wyniki do tej daty. Y-m-d H:i:s w formacie . |
| order_by | Opcjonalne Źródło | Jakie pola do zamówienia wyników przez. Wartości dopuszczone są: team_id, datetime, last_datetime, name. |
| order_type | Opcjonalne Źródło | Wymagania wyników. dopuszczone wartości to: ASC w celu podniesienia zamówienia, oraz DESC Na zamówienie w dół. |
| page | Opcjonalne Wnętrze | Numer strony, z której chcesz wyniki. 1. |
| results_per_page | Opcjonalne Wnętrze | Ile wyników chcesz na stronę. wartości dozwolone są: 10, 25, 50, 100, 250, 500, 1000. Wady do 25. |
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-16 03:21:01",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-16 03:21:01",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/teams?page=1",
"last": "https://0o0.online/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/teams?page=1"
}
}
GET https://0o0.online/api/teams/{team_id}
curl --request GET \
--url 'https://0o0.online/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-16 03:21:01",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-16 03:21:01",
}
}
POST https://0o0.online/api/teams
| Parametry | Szczegóły | Opis |
|---|---|---|
| name | Wymagane Źródło | - |
curl --request POST \
--url 'https://0o0.online/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://0o0.online/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/teams/{team_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| name | Opcjonalne Źródło | - |
curl --request POST \
--url 'https://0o0.online/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://0o0.online/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/teams/{team_id}
curl --request DELETE \
--url 'https://0o0.online/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \